__ARRAYCOUNT(3) | Library Functions Manual | __ARRAYCOUNT(3)

# NAME

`__arraycount` —
macro for statically allocated arrays

# SYNOPSIS

`#include <sys/cdefs.h>`

size_t
`__arraycount`(x);

# DESCRIPTION

The `__arraycount`() macro returns the number of elements in a statically allocated buffer.

# EXAMPLES

The following example demonstrates a typical usage of `__arraycount`():

    uint8_t buf[BUFSIZE];
    size_t i;

    ...

    for (i = 0; i < __arraycount(buf); i++)
    	...

# SEE ALSO

cdefs(3)

# HISTORY

The `__arraycount`() macro first appeared in NetBSD 4.0.

December 16, 2010 | NetBSD 9.2